Obtenir les capacités des moniteurs
Lisez le contrat de suivi : moteurs planifiables, prix, limites et définitions des métriques.
GET
/
v1
/
monitors
/
capabilities
Get monitor capabilities
curl --request GET \
--url https://api.querying.ai/v1/monitors/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/monitors/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/monitors/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors/capabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/monitors/capabilities")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors/capabilities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"engines": [
{
"engine": "CHATGPT",
"creditsPerTask": 123
}
],
"limits": {
"monitors": 123,
"tasksPerRun": 123,
"prompts": 123,
"competitors": 123,
"roster": {
"BRAND": {
"typed": 123,
"auto": 123
},
"CATEGORY": {
"typed": 123,
"auto": 123
}
},
"categoryCharacters": 123,
"subFields": 123,
"subFieldCharacters": 123,
"aliases": 123,
"domains": 123,
"intervalHours": {
"min": 123,
"max": 123
},
"analyticsDays": 123,
"resultPageSize": 123,
"evidencePageSize": 123,
"sourcePageSize": 123,
"answerTextCharacters": 123,
"samples": 123
},
"modes": {
"BRAND": "<string>",
"CATEGORY": "<string>"
},
"metrics": {
"mentionRate": "<string>",
"citationRate": "<string>",
"shareOfVoice": "<string>",
"opportunity": "<string>",
"noAnswer": "<string>",
"comparison": "<string>",
"categoryMentionRate": "<string>",
"categoryRank": "<string>",
"categoryNamedRate": "<string>"
},
"workflow": [
"<string>"
],
"schedule": {
"starts": "on_create",
"cost": "<string>",
"monthlyEstimate": "<string>",
"pausedRunAllowed": false,
"engineIntervals": "<string>"
},
"events": {
"types": [
"monitor.mention.started"
],
"answersPerState": 123,
"delivery": "<string>"
},
"analysisCreditsPerTask": 123
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}⌘I
Get monitor capabilities
curl --request GET \
--url https://api.querying.ai/v1/monitors/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/monitors/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/monitors/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors/capabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/monitors/capabilities")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors/capabilities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"engines": [
{
"engine": "CHATGPT",
"creditsPerTask": 123
}
],
"limits": {
"monitors": 123,
"tasksPerRun": 123,
"prompts": 123,
"competitors": 123,
"roster": {
"BRAND": {
"typed": 123,
"auto": 123
},
"CATEGORY": {
"typed": 123,
"auto": 123
}
},
"categoryCharacters": 123,
"subFields": 123,
"subFieldCharacters": 123,
"aliases": 123,
"domains": 123,
"intervalHours": {
"min": 123,
"max": 123
},
"analyticsDays": 123,
"resultPageSize": 123,
"evidencePageSize": 123,
"sourcePageSize": 123,
"answerTextCharacters": 123,
"samples": 123
},
"modes": {
"BRAND": "<string>",
"CATEGORY": "<string>"
},
"metrics": {
"mentionRate": "<string>",
"citationRate": "<string>",
"shareOfVoice": "<string>",
"opportunity": "<string>",
"noAnswer": "<string>",
"comparison": "<string>",
"categoryMentionRate": "<string>",
"categoryRank": "<string>",
"categoryNamedRate": "<string>"
},
"workflow": [
"<string>"
],
"schedule": {
"starts": "on_create",
"cost": "<string>",
"monthlyEstimate": "<string>",
"pausedRunAllowed": false,
"engineIntervals": "<string>"
},
"events": {
"types": [
"monitor.mention.started"
],
"answersPerState": 123,
"delivery": "<string>"
},
"analysisCreditsPerTask": 123
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}